petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPGMRESGetRestart

Gets number of iterations at which GMRES, FGMRES and LGMRES restarts.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGMRESGetRestart(KSP ksp, PetscInt *restart)

Not Collective Many br

### Input Parameter

ksp -the Krylov space context Many br

### Output Parameter

restart -integer restart value Many br

Note: The default value is 30. Many br

Many br

### Keywords

KSP, GMRES, restart, iterations

### See Also

KSPSetTolerances(), KSPGMRESSetOrthogonalization(), KSPGMRESSetPreAllocateVectors(), KSPGMRESSetRestart()

Level:intermediate
Location:src/ksp/ksp/impls/gmres/gmres.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages